    A constant model for one-dimensional data.

scale1d

This is a specialized form of the const1d model where the

integrate flag is turned off.

>>> create_model_component("scale1d", "mdl")
>>> print(mdl)

Create a component of the scale1d model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.c0 thawed 1 -3.40282e+38 3.40282e+38

ATTRIBUTES

The attribute for this object is:

Attribute
Definition
c0
The amplitude of the model.

Notes

The functional form of the model for points is:

f(x) = ampl

and for an integrated grid it is:

f(xlo,xhi) = ampl * (xhi - xlo)

This later case will only be used if the integrate

attribute is set to True .

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023